Bug 9615 - Combine staff home page images into single sprite
Summary: Combine staff home page images into single sprite
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-14 16:31 UTC by Owen Leonard
Modified: 2016-03-01 15:53 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9615 - Combine staff home page images into single sprite (87.74 KB, patch)
2013-02-14 16:47 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9615 - Combine staff home page images into single sprite (87.82 KB, patch)
2013-02-14 17:33 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 9615 - Combine staff home page images into single sprite (87.90 KB, patch)
2013-02-17 08:48 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-02-14 16:31:42 UTC
The images on the staff client home page representing the various modules (circ, patrons, etc) could be combined into one sprite, why not? I don't know why not.
Comment 1 Owen Leonard 2013-02-14 16:47:09 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2013-02-14 17:33:01 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-02-17 08:48:59 UTC
Created attachment 15438 [details] [review]
Bug 9615 - Combine staff home page images into single sprite

In order to reduce the number of concurrent downloads on the staff
client home page the images representing the various modules (circ,
patrons, etc) could be combined into one sprite.

This patch creates a new sprite containing all images and corrects the
CSS for the default and hover states of each link to match the previous
version. The separate images have been removed. Also added is a
GIMP-compatible Photoshop file from which the sprite is generated.

To test, apply the patch, clear your browser cache, and view the staff
client home page. Each module icon should look correct in its default
and hover states.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment: Work as described, Good idea! No errors.
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works nicely, no problems found.
Comment 4 Jared Camins-Esakov 2013-02-20 13:29:49 UTC
This patch has been pushed to master.
Comment 5 Chris Cormack 2013-02-21 05:41:27 UTC
Pushed to 3.10.x and 3.8.x will be in 3.10.3 and 3.8.10
Comment 7 Katrin Fischer 2016-03-01 15:53:45 UTC
Last comment marked as private (spam).